/*
*   @description:招标公告/邀请函解密方式配置
  @Modifier: haofengxian
  @routerPath:
  @date: 2020-11-5-10:44*/
import { getSystemConfigValueByConfigType } from '@/api/common/systemConfigCenter'
export const openInfoDecryptMethodConfig = {
  data() {
    return {
      isShowDecryptMethod: false // 是否显示解密方式
    }
  },
  methods: {
    /* 系统级配置（招标公告或者邀请函解密方式配置，仅仅表示另外一种都不显示）
初始化解密方式： 01 仅仅集中解密 02 仅仅客户端解密 03 默认集中解密（可修改） 04 默认客户端解密（可修改）*/
    getSystemDecryptMethod() {
      getSystemConfigValueByConfigType('decryptMethod').then(res => {
        const { data } = res
        // 01 仅仅集中解密 过滤投标人解密
        if (data === '01') {
          this.formData.bidDocumentDecryptionMethod = '01'
          this.decryptionMethodList = this.decryptionMethodList.filter(i => i.typecode === '01')
        }
        // 02 仅仅客户端解密 过滤服务端集中解密
        if (data === '02') {
          this.formData.bidDocumentDecryptionMethod = '00'
          this.decryptionMethodList = this.decryptionMethodList.filter(i => i.typecode === '00')
        }
        // 03 默认集中解密（可修改）
        if (data === '03') {
          if (!this.formData.bidDocumentDecryptionMethod) {
            this.formData.bidDocumentDecryptionMethod = '01' // 标书解密方式 00 投标人解密 01 服务器集中解密
          }
        }
        // 04 默认客户端解密（可修改）
        if (data === '04') {
          if (!this.formData.bidDocumentDecryptionMethod) {
            this.formData.bidDocumentDecryptionMethod = '00' // 标书解密方式 00 投标人解密 01 服务器集中解密
          }
        }
        this.isShowDecryptMethod = true
      }).catch(() => {
      })
    },
    // 获取监督部门配置
    getSystemConfigTenderMonitorDepName() {
      getSystemConfigValueByConfigType('bidtbulletin_supervisory_authorities').then(res => {
        this.formData.tenderMonitorDepName = res.data
      }).catch(() => {
      })
    }
  }
}
